Get a service lookup code relation

get

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceLookupTypeRelations/{serviceLookupTypeRelations_id}/lookupCodeRelations/{serviceLookupTypeRelations-lookupCodeRelations_id}

Request

Path Parameters
  • This path parameter maps to a composite key that consists of the following fields defined in the Service Lookup Type Relations/Service Lookup Code Relations REST resource:
    1. relationCode: The lookup relation code.
    2. serviceParentLookupCode: The lookup code of the parent lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_SRRES_LEGACY.
    3. serviceChildLookupCode: The lookup code of the child lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_WAITING.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
  • This path parameter maps to the following field defined in the Service Lookup Type Relations REST resource:
    1. relationCode: The lookup relation code.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.

There's no request body for this operation.

Back to Top

Response

Default Response

A single item response
Body ()
Root Schema : oraCxServiceCoreCommon.ServiceLookupCodeRelation_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupCodeRelation_item
Match All
The service lookup code relation resource is used to get details about the relationship between parent and child lookups.
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupCodeRelation_item-fields
Type: object
Show Source
Nested Schema : Service Lookup Code Relation
Type: object
Title: Service Lookup Code Relation
The service lookup code relation resource is used to get details about the relationship between parent and child lookups.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : childLookupCode
Match All
The lookup code of the child lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_WAITING.
Show Source
Nested Schema : lookupTypeRelation
Match All
The lookup relation code.
Show Source
Nested Schema : parentLookupCode
Match All
The lookup code of the parent lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_SRRES_LEGACY.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Child Code
Type: object
Title: Child Code
The lookup code of the child lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_WAITING.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Standard Lookup Type
Type: object
Title: Standard Lookup Type
The standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : configurationLevel
Match All
Show Source
Nested Schema : restAccessSecured
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ANON", "AUTH", "SECURE" ]
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
Nested Schema : moduleType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "APPLICATION", "LBA", "PAGE", "PRODUCT_LINE", "DELIVERY_ROOT", "FAMILY" ]
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type: object
Show Source
Nested Schema : Taxonomy Hierarchy
Type: object
Title: Taxonomy Hierarchy
The taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : $context
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : oraCxServiceCoreCommon.ServiceLookupTypeRelation_item-fields
Type: object
Show Source
Nested Schema : Relation Code
Type: object
Title: Relation Code
The lookup relation code.
Nested Schema : childLookupType
Match All
The lookup type of the child lookup, such as ORA_SVC_SR_STATUS_CD.
Show Source
Nested Schema : parentLookupType
Match All
The lookup type of the parent lookup, such as ORA_SVC_SR_STATUS_TYPE_CD.
Show Source
Nested Schema : Child Type
Type: object
Title: Child Type
The lookup type of the child lookup, such as ORA_SVC_SR_STATUS_CD.
Nested Schema : Parent Type
Type: object
Title: Parent Type
The lookup type of the parent lookup, such as ORA_SVC_SR_STATUS_TYPE_CD.
Nested Schema : Parent Code
Type: object
Title: Parent Code
The lookup code of the parent lookup, such as ORA_SVC_NEW, ORA_SVC_RESOLVED, ORA_SVC_SRRES_LEGACY.
Back to Top

Examples

The following example shows how to get a service lookup code relation by submitting a GET request on the REST resource using cURL.

cURL Command

curl -X GET --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceLookupTypeRelations/<relation_code>/lookupCodeRelations/<lookup_code_relation_id>' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Example of Response Body

The following shows the contents of the response body in JSON format.

{
  "relationCode": "ORA_SVC_STATUS_TYPE_STATUS",
  "serviceParentLookupCode": "ORA_SVC_CLOSED",
  "serviceChildLookupCode": "ORA_SVC_CLOSED",
  "$id": "ORA_SVC_STATUS_TYPE_STATUS,ORA_SVC_CLOSED,ORA_SVC_CLOSED",
  "$context": {
      "etag": "1",
      "links": {
          "$self": {
              "href": "https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceLookupTypeRelations/ORA_SVC_STATUS_TYPE_STATUS/lookupCodeRelations/ORA_SVC_STATUS_TYPE_STATUS%2CORA_SVC_CLOSED%2CORA_SVC_CLOSED"
          }
      }
  }
}
Back to Top